import { BigNumberString, DecimalString } from "@snickerdoodlelabs/objects";
import { BigNumber } from "ethers";
import { IBigNumberUtils } from "../interfaces/index.js";
export declare class BigNumberUtils implements IBigNumberUtils {
    constructor();
    multiply(bn: BigNumber | string, number: number, decimals?: number): BigNumber;
    divide(bn: BigNumber | string, number: number, decimals?: number): BigNumber;
    DSToBN(decimalString: DecimalString, decimals?: number): BigNumber;
    DSToBNS(decimalString: DecimalString, decimals?: number): BigNumberString;
    BNToBNS(bigNumber: BigNumber): BigNumberString;
    BNToDS(bigNumber: BigNumber, decimals?: number): DecimalString;
    BNSToBN(bigNumberString: BigNumberString): BigNumber;
    BNSToDS(bigNumberString: BigNumberString, decimals?: number): DecimalString;
    /**
     * This method returns true if the bigNumberString is a
     * @param bigNumberString
     * @returns true if bigNumberString is a valid BigNumber
     */
    validateBNS(bigNumberString: string): boolean;
}
//# sourceMappingURL=BigNumberUtils.d.ts.map